.events {

    &__date {
        display: block;
    }

    &__calendar {
        display: none;
    }

    &.open {

        .events {

            &__date {
                display: none;
            }

            &__calendar {
                display: block;
            }
        }
    }
}

.event-calendar {
    padding: rem(16);
    position: relative;
    max-width: rem(1040);
    border: 1px solid #A5742C;
    background: rgba(165, 116, 44, 0.2);

    &__datepicker {
        margin-bottom: rem(32);

        .air-datepicker {
            border: none;
            width: 100%;
            background: transparent;
        }

        .air-datepicker-nav {
            border-bottom: none;
            position: relative;
            justify-content: normal;

            &--title {
                color: $white;
                font-weight: 600;
                font-size: rem(16);
                line-height: rem(24);
                order: 1;
                flex-grow: 1;
                justify-content: flex-start;

                i {
                    color: $white;
                }
            }

            &--action {
                order: 2;

                path {
                    stroke: $white;
                }
            }
        }

        .air-datepicker-body {

            &--cells {
                grid-auto-rows: rem(42);
                border-top: 1px solid rgba(255, 255, 255, 0.2);
                border-left: 1px solid rgba(255, 255, 255, 0.2);
            }

            &--day-name {
                font-size: rem(12);
                line-height: rem(18);
                padding-bottom: rem(4);
            }
        }

        .air-datepicker-cell {
            border-right: 1px solid rgba(255, 255, 255, 0.2);
            border-bottom: 1px solid rgba(255, 255, 255, 0.2);

            &.-current- {
                color: $white;
                font-weight: 600;
                background: #776345;
            }

            &.-selected- {
                color: $white;
                font-weight: 600;
                background: #A5742C;
            }
        }
    }

    &__item {
        padding: rem(16);
        color: #969696;
        font-size: rem(14);
        line-height: rem(20);
        background: rgba(165, 116, 44, 0.1);

        &:not(:last-child) {
            margin-bottom: rem(8);
        }
    }

    &__image {
        display: block;
        height: rem(162);
        margin-bottom: rem(16);
    }

    &__title {
        color: $white;
        font-weight: 600;
        font-size: rem(16);
        line-height: rem(24);
        margin-bottom: rem(8);
    }

    &__link {
        margin-top: rem(16);

        .btn-link {
            color: #A5742C;
        }
    }

    &__footer {
        padding-top: rem(16);
    }

    &__scroll {
        height: 60vh;
    }

    .simplebar-track.simplebar-vertical {
        background: rgba(255, 255, 255, 0.05);
    }

    .simplebar-track.simplebar-vertical .simplebar-scrollbar:before {
        background: rgba(255, 255, 255, 0.3)
    }

    @include media-breakpoint-up(md) {

        &__datepicker {
            width: rem(420);

            .air-datepicker-body {

                &--cells {
                    grid-auto-rows: rem(60);
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {
        min-height: rem(532);
        display: flex;
        align-items: flex-start;
        justify-content: space-between;

        &__datepicker {
            width: rem(280);
            flex-shrink: 0;

            .air-datepicker-body {

                &--cells {
                    grid-auto-rows: rem(38);
                }
            }
        }

        &__main {
            width: calc(100% - 20rem);
        }

        &__footer {
            left: rem(16);
            bottom: rem(16);
            position: absolute;
        }

        &__scroll {
            height: rem(500);
        }
    }

    @include media-breakpoint-up(xxl) {
        min-height: rem(548);
        padding: rem(24);

        &__datepicker {
            width: rem(420);

            .air-datepicker-body {

                &--cells {
                    grid-auto-rows: rem(60);
                }
            }
        }

        &__main {
            width: calc(100% - 28.25rem);
        }

        &__footer {
            left: rem(24);
            bottom: rem(24);
        }

        &__item {
            margin-right: rem(8);
            padding: rem(24);
        }
    }
}
